Package ru.bitel.bgbilling.kernel.base.server.datalog.hourly

# Class HourlyLogFileUtils

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.datalog.hourly.HourlyLogFileUtils

public class HourlyLogFileUtils extends Object
Утилита работы с логами

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HourlyLogFileUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final int[]`
  `getLogExistsForMonth(ParameterMap setup, String key, Date month, int sourceId)`
  Получение информации о наличии логов.
  `static final List<File>`
  `getLogFile(File path, Calendar hour)`
  `static final List<File>`
  `getLogFile(ParameterMap setup, String key, int sourceId, Calendar hour)`
  `static final File`
  `getNextFileToWrite(ParameterMap setup, int sourceId, Calendar hour, int[] idRef)`
  Deprecated.
  `static final File`
  `getNextFileToWrite(ParameterMap setup, String logDirParamName, int sourceId, Calendar hour, int[] idRef)`
  `protected static String`
  `getPath(ParameterMap setup, String key, int sourceId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HourlyLogFileUtils

    public HourlyLogFileUtils()

- ## Method Details

  - ### getLogFile

    public static final List<File> getLogFile(File path, Calendar hour)

  - ### getLogFile

    public static final List<File> getLogFile(ParameterMap setup, String key, int sourceId, Calendar hour)

  - ### getPath

    protected static String getPath(ParameterMap setup, String key, int sourceId)

  - ### getLogExistsForMonth

    public static final int[] getLogExistsForMonth(ParameterMap setup, String key, Date month, int sourceId)
    Получение информации о наличии логов. Поддерживаются логи: нового формата 1. Новый формат * + yyyy/ + yyyy-MM/ + yyyy-MM-dd/ + log_yyyy-MM-dd-HH.nnn.bgdl 2. flow-tools .*yyyy-MM-dd.HH.
    Parameters:
      `setup` -
      `key` -
      `month` -
      `sourceId` -
    Returns:
      массив из 31-го элемента, где каждый элемент это один день месяца , представляет собой битовая маска , где каждый включеный бит означет час (т.е 5 (101 в двоичной) - это наличе логов за 0-вой и 2-ой часы).

  - ### getNextFileToWrite

    @Deprecated public static final File getNextFileToWrite(ParameterMap setup, int sourceId, Calendar hour, int[] idRef)
    Deprecated.

  - ### getNextFileToWrite

    public static final File getNextFileToWrite(ParameterMap setup, String logDirParamName, int sourceId, Calendar hour, int[] idRef)